<?xml version="1.0" encoding="utf-8"?>
<androidx.swiperefreshlayout.widget.SwipeRefreshLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/background_color"
    tools:context=".dashboard.NetworkFragment">

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="@dimen/dashboard_fragment_padding_horizontal"
            android:paddingVertical="@dimen/dashboard_fragment_padding_vertical"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:padding="15dp"
                android:visibility="visible">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/titleCon"
                        style="@style/TextHeavy20"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/connection"
                        tools:ignore="RelativeOverlap" />

                    <View
                        android:layout_width="0dp"
                        android:layout_height="1dp"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_width="23dp"
                        android:layout_height="23dp"
                        android:layout_gravity="center_vertical"
                        android:src="@mipmap/setting" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:paddingVertical="30dp">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:src="@mipmap/wifi"/>

                    <LinearLayout
                        android:id="@+id/connectData"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:layout_marginStart="50dp"
                        android:visibility="gone">

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/conText1"
                            style="@style/TextBig"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Wi-Fi"
                            android:textStyle="bold"
                            tools:ignore="RelativeOverlap" />

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/conText2"
                            style="@style/TextButteryRight"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="LUX·433 Mbps"
                            android:textStyle="bold"
                            tools:ignore="RelativeOverlap" />

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/conTExt3"
                            style="@style/TextButteryRight"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="80% -60dBm"
                            android:textStyle="bold"
                            tools:ignore="RelativeOverlap" />
                    </LinearLayout>

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/noConnect"
                        style="@style/TextWifiRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="No connection"
                        android:layout_marginStart="50dp"
                        android:textStyle="bold"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>


            </LinearLayout>

          <include
              android:id="@+id/network_layout"
              android:layout_width="match_parent"
                android:layout_height="wrap_content"
              layout="@layout/network_layout"/>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:padding="15dp"
                android:layout_marginTop="15dp"
                android:visibility="visible">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/titleModel"
                        style="@style/TextHeavy20"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/mobile_data"
                        tools:ignore="RelativeOverlap" />

                    <View
                        android:layout_width="0dp"
                        android:layout_height="1dp"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_width="23dp"
                        android:layout_height="23dp"
                        android:layout_gravity="center_vertical"
                        android:src="@mipmap/setting" />
                </LinearLayout>
                <include
                    android:id="@+id/mdText1"
                    layout="@layout/common_text_style" />
                <include
                    android:id="@+id/mdText2"
                    layout="@layout/common_text_style" />
                <include
                    android:id="@+id/mdText3"
                    layout="@layout/common_text_style" />
                <com.google.android.material.textview.MaterialTextView
                    style="@style/TextHeavy20"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="30dp"
                    android:text="@string/connection"
                    tools:ignore="RelativeOverlap" />
                <include
                    android:id="@+id/conTexts"
                    layout="@layout/common_text_style" />
                <com.google.android.material.textview.MaterialTextView
                    style="@style/TextHeavy20"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="30dp"
                    android:text="@string/default_value"
                    tools:ignore="RelativeOverlap" />
                <include
                    android:id="@+id/defText1"
                    layout="@layout/common_text_style" />
                <include
                    android:id="@+id/defText2"
                    layout="@layout/common_text_style" />
                <include
                    android:id="@+id/defText3"
                    layout="@layout/common_text_style" />
                <com.google.android.material.textview.MaterialTextView
                    style="@style/TextHeavy20"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="30dp"
                    android:text="@string/sim_card_1"
                    tools:ignore="RelativeOverlap" />
                <include
                    android:id="@+id/simText1"
                    layout="@layout/common_text_style" />
                <include
                    android:id="@+id/simText2"
                    layout="@layout/common_text_style" />
                <include
                    android:id="@+id/simText3"
                    layout="@layout/common_text_style" />
                <include
                    android:id="@+id/simText4"
                    layout="@layout/common_text_style" />


            </LinearLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</androidx.swiperefreshlayout.widget.SwipeRefreshLayout>